{&Use32+,StdCall+}
unit RTApi;
{}
interface

type
 DateTime = record
  Year,Month,Day,Hour,Min,Sec: Word;
 end;
 tLogState = (lDebug, lNormal, lCalm);
 tOutFlavor = (ofNormal, ofCrash, ofDirect, ofHold, ofImmediate);
 tOutType = (otTShortBox, otTLongBox, otLongBox, otBSO, otBrakeLongBox, otLongBSO);
const
{}
{$IfDef DPMI}
 RTLib = 'RTLib';
{$EndIf}
{$IfDef DPMI32}
 RTLib = 'RTLib';
{$EndIf}
{$IfDef Win32}
 RTLib = 'RTLib32';
{$EndIf}
{$IfDef OS2}
 RTLib = 'RTLib2';
{$EndIf}
{}
 procedure InitRTLib(LogName: String; LogState: tLogState);
 procedure DoneRTLib;
{}
 procedure SetDupeBase(FileName: String; EntryCount: Longint);
 procedure SetNodeListDir(fn: String);
 procedure SetBSO(MainDir: String; MainZone: Word);
 procedure SetFileBox(MainDir: string; CutPktSize: Longint; Long: Boolean);
 procedure SetInBoundDir(Dir1,Dir2: String);
 procedure AddAka(Addr,Mask: String);
 function GetAka(Mask: String): String;
 procedure SetPktParams(FromAddr, ToAddr, Password: String);
 procedure SetUTC(Utc: String);
 procedure SetRouteFile(fn: String);
 procedure SetNetMail(Dir: String);
 procedure SetOrigin(const NewOrigin: String);
 procedure SetTearLine(const NewTearLine: String);
 procedure AddTemplateMacro(FindStr, ReplStr: String; CaseSens: Boolean);
 procedure RemoveTemplateMacro(FindStr: String);
{}
 function  MsgNumber: Longint;
 function  LoadMsg(First: Boolean): Boolean;
 function  MsgLoaded: Boolean;
 procedure UnPackMail(PktMask: String);
 procedure ScanSecondNetmail(BaseName: String);
{}
 procedure PrintStr(pc: String);
{}
 procedure DeleteMsg;
 function  SaveMsg(Area,ToBase: String): Boolean;
 procedure MoveMsg(Area,ToBase: String);
 procedure PackBase(BaseName: String);
{}
 function Area: String;
 function FromAddr: String;
 function FromAddr3D: String;
 function ToAddr: String;
 function ToAddr3D: String;
 function FromName: String;
 function ItFromName(St: String; CaseSens: Boolean): Boolean;
 function ToName: String;
 function ItToName(St: String; CaseSens: Boolean): Boolean;
 function Subject: String;
 function ItSubject(St: String; CaseSens: Boolean): Boolean;
 function FromZone: word;
 function FromNet: word;
 function FromNode: word;
 function FromPoint: word;
 function ToZone: word;
 function ToNet: word;
 function ToNode: word;
 function ToPoint: word;
 procedure MsgSetFromName(NewValue: String; WrMsg: Boolean);
 procedure MsgSetFromAddr(NewValue: String; WrMsg: Boolean);
 procedure MsgSetToName(NewValue: String; WrMsg: Boolean);
 procedure MsgSetToAddr(NewValue: String; WrMsg: Boolean);
 procedure MsgSetSubject(NewValue: String; WrMsg: Boolean);
 procedure ReadFirstMsgLine(var s: String);
 function ReadNextMsgLine(var s: String): Boolean;
 function SubHub(Node: String): String;
 function ItMyAddr(AddrStr: String): Boolean;
 function ListedNode(Node: String): Boolean;
 function Loop(am: Longint): Boolean;
 function DupeMsg: Boolean;
 procedure AddDupeRecord;
 function InBody(s: String; CaseSens: Boolean): Boolean;
 function HasMsgID: Boolean;
 function HasINTL: Boolean;
 function UUEInMsg(var Lines, Size: Longint): Boolean;
 function Size: LongInt;
 function ExistAttach: Boolean;
 function UnknownFlags: string;
 procedure GetMsgDateTime(var dt: DateTime);
 procedure SetMsgDateTime(dt: DateTime; wrmsg: Boolean);
 function DosExec(CmdLine: String): Word;
{}
 function Fpvt: Boolean;
 function Fcra: Boolean;
 function Frcv: Boolean;
 function Fsnt: Boolean;
 function Fatt: Boolean;
 function Ftrs: Boolean;
 function Forp: Boolean;
 function Fk_s: Boolean;
 function Floc: Boolean;
 function Fhld: Boolean;
 function Ffrq: Boolean;
 function Frrq: Boolean;
 function Frrc: Boolean;
 function Farq: Boolean;
 function FURq: Boolean;
 function Fa_s: Boolean;
 function Fdir: Boolean;
 function Fzon: Boolean;
 function Fhub: Boolean;
 function Fimm: Boolean;
 function Fxma: Boolean;
 function Fkfs: Boolean;
 function Ftfs: Boolean;
 function Flok: Boolean;
 function Fcfm: Boolean;
{}
 procedure SetPvt(kl,wrmsg: Boolean);
 procedure SetCra(kl,wrmsg: Boolean);
 procedure SetRcv(kl,wrmsg: Boolean);
 procedure SetSnt(kl,wrmsg: Boolean);
 procedure SetAtt(kl,wrmsg: Boolean);
 procedure SetTrs(kl,wrmsg: Boolean);
 procedure SetOrp(kl,wrmsg: Boolean);
 procedure SetK_s(kl,wrmsg: Boolean);
 procedure SetLoc(kl,wrmsg: Boolean);
 procedure SetHld(kl,wrmsg: Boolean);
 procedure SetFrq(kl,wrmsg: Boolean);
 procedure SetRrq(kl,wrmsg: Boolean);
 procedure SetRrc(kl,wrmsg: Boolean);
 procedure SetArq(kl,wrmsg: Boolean);
 procedure SetURq(kl,wrmsg: Boolean);
 procedure SetA_s(kl,wrmsg: Boolean);
 procedure SetDir(kl,wrmsg: Boolean);
 procedure SetZon(kl,wrmsg: Boolean);
 procedure SetHub(kl,wrmsg: Boolean);
 procedure SetImm(kl,wrmsg: Boolean);
 procedure SetXma(kl,wrmsg: Boolean);
 procedure SetKfs(kl,wrmsg: Boolean);
 procedure SetTfs(kl,wrmsg: Boolean);
 procedure SetLok(kl,wrmsg: Boolean);
 procedure SetCfm(kl,wrmsg: Boolean);
{}
 procedure CompileNodelist(Mask: String; Add: Boolean);
 procedure CreateFlag(fn: String);
 function NodeBusy(Addr: String): Boolean;
 function BusyOutBound(Addr,OutBoundRoot: String;
                       OutType: tOutType): Boolean;
 procedure SkipUUEInMsg(wrmsg: Boolean);
 function  AddFreq(Addr,FileName: String; IgnoreBusy: Boolean): Boolean;
 function Pack(Addr,Password: String;
          Attribute: tOutFlavor;
          IgnoreMsgAttr,
          IgnoreBusy: Boolean): boolean;
 function PackToFileBox(Addr,Password: string;
          Attr: tOutFlavor;
          IgnoreMsgAttr,
          IgnoreBusy: Boolean): Boolean;
 function RouteAddr(Addr: String): String;
 function Route(Password: String; IgnoreAttr,IgnoreBusy: Boolean): Boolean;
 function RouteToFileBox(Password: String; IgnoreAttr,IgnoreBusy: Boolean): Boolean;
 function PackToOutBound(Addr,OutBoundRoot,Password: String;
                         Attr: tOutFlavor;
                         OutType: tOutType;
                         PktCutSize: Longint;
                         IgnoreAttr,IgnoreBusy,UseRouter: Boolean): Boolean;
 function Attach(Addr: string;
                 Attr: tOutFlavor;
                 IgnoreBusy,
                 KillSent,
                 UseRouteFile: Boolean;
                 FileName: string): Boolean;
 function MoveToFileBox(Addr: string;
                        Attr: tOutFlavor;
                        IgnoreBusy,
                        KillSent: Boolean;
                        FileName: string): Boolean;
 function MoveToOutBound(Addr,fn,OutBoundRoot: String;
                         Attr: tOutFlavor;
                         OutType: tOutType;
                         IgnoreBusy,UseRouter: Boolean): Boolean;
 function  CopyToDir(DestinationDir: String; ChangeSubj,FileMove: Boolean): String;
 function  SaveMsgToFile(Template,FileName: String; Add: Boolean): Boolean;
 function  ForwardMsg(FromUser,
                      FromAddress,
                      ToUser,
                      ToAddress,
                      Subject,
                      Area,
                      Template,
                      ToBase: String): Boolean;
 function  Bounce(TemplateName,YourName,ToBase: String): Boolean;
 procedure SetDomain(const Zones, DomainName: String);
{}
 procedure NewMsgCreateMsg(const FromUser,FromAddr,ToUser,ToAddr,Subject: String);
 procedure NewMsgWriteLine(s,eol: String);
 procedure NewMsgForwardMsg(const Template: String);
 function NewMsgStoreMsg(Area,ToBase: String): Boolean;
{}
 function NToC(Num: LongInt): string;
 function CToN(Str: string): LongInt;
{}
 function RegMatch(RegExp,Expression: String; CaseSens: Boolean): Boolean;
 function RegExtract(RegExp,Expression: String; CaseSens: Boolean): String;
 function RegSub(RegExp,Expression,Replace: String; CaseSens: Boolean): String;
{}
 function IniReadBoolean(FileName, SectionName, ValueName: String): Boolean;
 function IniReadInteger(FileName, SectionName, ValueName: String): Longint;
 function IniReadString(FileName, SectionName, ValueName: String): String;
 procedure IniWriteBoolean(FileName, SectionName, ValueName: String; Value: Boolean);
 procedure IniWriteInteger(FileName, SectionName, ValueName: String; Value: Longint);
 procedure IniWriteString(FileName, SectionName, ValueName: String; Value: String);
 function IniExistSection(FileName, SectionName: String): Boolean;
 function IniExistValue(FileName, SectionName, ValueName: String): Boolean;
 procedure IniFindSection(First: Boolean; FileName: String; var SectionName: String);
 procedure IniFindValue(First: Boolean; FileName, SectionName: String; var ValueName: String);
 function IniSectionError: Boolean;
 function IniValueError: Boolean;
 procedure IniDeleteValue(FileName, SectionName, ValueName: String);
 procedure IniDeleteSection(FileName, SectionName: String);
{}
 function GetDateString(Days: Longint): String;
 procedure GetCurrentDateTime(Days: Longint; var dt: DateTime);
{}
 procedure Creditz;
{}
implementation
{}
function  NToC(Num: LongInt): string;
var
  St: string;
begin
  Str(Num, St);
  NToC:=St;
end;
{}
function  CToN(Str: string): LongInt;
var
  Nm: LongInt;
  J: integer;
begin
  Val(Str, Nm, J);
  CToN:=Nm;
end;
{}
{(  ⮨  ... )}
{}
{$IfDef Ver70}
procedure   SetPrefixSeg(NewSeg: Longint); external RTLib name 'iSetPrefixSeg';
{$EndIf}
procedure   InitRTLib(LogName: String; LogState: tLogState); external RTLib name 'iInitRTLib';
procedure   DoneRTLib; external RTLib name 'iDoneRTLib';
{}
function    MsgNumber: Longint; external RTLib name 'iMsgNumber';
function    LoadMsg(First: Boolean): Boolean; external RTLib name 'iLoadMsg';
function    MsgLoaded: Boolean; external RTLib name 'iMsgLoaded';
procedure   UnPackMail(PktMask: String); external RTLib name 'iUnPackMail';
procedure   ScanSecondNetmail(BaseName: String); external RTLib name 'iScanSecondNetmail';
{}
procedure   SetDupeBase(FileName: String; EntryCount: Longint); external RTLib name 'iSetDupeBase';
procedure   SetNodeListDir(fn: String); external RTLib name 'iSetNodeListDir';
procedure   SetBSO(MainDir: String; MainZone: Word); external RTLib name 'iSetBSO';
procedure   SetFileBox(MainDir: string; CutPktSize: Longint; Long: Boolean); external RTLib name 'iSetFileBox';
procedure   SetInboundDir(Dir1,Dir2: String); external RTLib name 'iSetInboundDir';
procedure   AddAka(Addr,Mask: String); external RTLib name 'iAddAka';
function    GetAka(Mask: String): String; external RTLib name 'iGetAka';
procedure   SetPktParams(FromAddr, ToAddr, Password: String); external RTLib name 'iSetPktParams';
procedure   SetNetMail(Dir: String); external RTLib name 'iSetNetMail';
procedure   SetUTC(Utc: String); external RTLib name 'iSetUTC';
procedure   SetRouteFile(fn: String); external RTLib name 'iSetRouteFile';
procedure   SetOrigin(const NewOrigin: String); external RTLib name 'iSetOrigin';
procedure   SetTearLine(const NewTearLine: String); external RTLib name 'iSetTearLine';
procedure   AddTemplateMacro(FindStr, ReplStr: String; CaseSens: Boolean); external RTLib name 'iAddTemplateMacro';
procedure   RemoveTemplateMacro(FindStr: String); external RTLib name 'iRemoveTemplateMacro';
{}
procedure   PrintStr(pc: String); external RTLib name 'iPrintStr';
{}
procedure   DeleteMsg; external RTLib name 'iDeleteMsg';
function    SaveMsg(Area,ToBase: String): Boolean; external RTLib name 'iSaveMsg';
procedure   MoveMsg(Area,ToBase: String); external RTLib name 'iMoveMsg';
procedure   PackBase(BaseName: String); external RTLib name 'iPackBase';
{}
function    Area: String; external RTLib name 'iArea';
function    FromAddr: String; external RTLib name 'iFromAddr';
function    FromAddr3D: String; external RTLib name 'iFromAddr3D';
function    ToAddr: String; external RTLib name 'iToAddr';
function    ToAddr3D: String; external RTLib name 'iToAddr3D';
function    FromName: String; external RTLib name 'iFromName';
function    ItFromName(St: String; CaseSens: Boolean): Boolean; external RTLib name 'iItFromName';
function    ToName: String; external RTLib name 'iToName';
function    ItToName(St: String; CaseSens: Boolean): Boolean; external RTLib name 'iItToName';
function    Subject: String; external RTLib name 'iSubject';
function    ItSubject(St: String; CaseSens: Boolean): Boolean; external RTLib name 'iItSubject';
function    FromZone: word; external RTLib name 'iFromZone';
function    FromNet: word; external RTLib name 'iFromNet';
function    FromNode: word; external RTLib name 'iFromNode';
function    FromPoint: word; external RTLib name 'iFromPoint';
function    ToZone: word; external RTLib name 'iToZone';
function    ToNet: word; external RTLib name 'iToNet';
function    ToNode: word; external RTLib name 'iToNode';
function    ToPoint: word; external RTLib name 'iToPoint';
procedure   MsgSetFromName(NewValue: String; WrMsg: Boolean); external RTLib name 'iMsgSetFromName';
procedure   MsgSetFromAddr(NewValue: String; WrMsg: Boolean); external RTLib name 'iMsgSetFromAddr';
procedure   MsgSetToName(NewValue: String; WrMsg: Boolean); external RTLib name 'iMsgSetToName';
procedure   MsgSetToAddr(NewValue: String; WrMsg: Boolean); external RTLib name 'iMsgSetToAddr';
procedure   MsgSetSubject(NewValue: String; WrMsg: Boolean); external RTLib name 'iMsgSetSubject';
procedure   ReadFirstMsgLine(var s: String); external RTLib name 'iReadFirstMsgLine';
function    ReadNextMsgLine(var s: String): Boolean; external RTLib name 'iReadNextMsgLine';
function    SubHub(Node: String): String; external RTLib name 'iSubHUB';
function    ItMyAddr(AddrStr: String): Boolean; external RTLib name 'iItMyAddr';
function    ListedNode(Node: String): Boolean; external RTLib name 'iListedNode';
function    Loop(am: Longint): Boolean; external RTLib name 'iLoop';
function    DupeMsg: Boolean; external RTLib name 'iDupeMsg';
procedure   AddDupeRecord; external RTLib name 'iAddDupeRecord';
function    InBody(s: String; CaseSens: Boolean): Boolean; external RTLib name 'iInBody';
function    HasMsgID: Boolean; external RTLib name 'iHasMsgID';
function    HasINTL: Boolean; external RTLib name 'iHasINTL';
function    UUEInMsg(var Lines, Size: Longint): Boolean; external RTLib name 'iUUEInMsg';
function    Size: LongInt; external RTLib name 'iSize';
function    ExistAttach: Boolean; external RTLib name 'iExistAttach';
function    UnknownFlags: string; external RTLib name 'iUnknownFlags';
procedure   GetMsgDateTime(var dt: DateTime); external RTLib name 'iGetMsgDateTime';
procedure   SetMsgDateTime(dt: DateTime; wrmsg: Boolean); external RTLib name 'iSetMsgDateTime';
function    DosExec(CmdLine: String): Word; external RTLib name 'iDosExec';
{}
function    fPvt: Boolean; external RTLib name 'ifPvt';
function    fCra: Boolean; external RTLib name 'ifCra';
function    fRcv: Boolean; external RTLib name 'ifRcv';
function    fSnt: Boolean; external RTLib name 'ifSnt';
function    fAtt: Boolean; external RTLib name 'ifAtt';
function    fTrs: Boolean; external RTLib name 'ifTrs';
function    fOrp: Boolean; external RTLib name 'ifOrp';
function    fK_s: Boolean; external RTLib name 'ifK_s';
function    fLoc: Boolean; external RTLib name 'ifLoc';
function    fHld: Boolean; external RTLib name 'ifHld';
function    fFrq: Boolean; external RTLib name 'ifFrq';
function    fRrq: Boolean; external RTLib name 'ifRrq';
function    fRrc: Boolean; external RTLib name 'ifRrc';
function    fArq: Boolean; external RTLib name 'ifArq';
function    fURq: Boolean; external RTLib name 'ifURq';
function    fA_s: Boolean; external RTLib name 'ifA_s';
function    fDir: Boolean; external RTLib name 'ifDir';
function    fZon: Boolean; external RTLib name 'ifZon';
function    fHub: Boolean; external RTLib name 'ifHub';
function    fImm: Boolean; external RTLib name 'ifImm';
function    fXma: Boolean; external RTLib name 'ifXma';
function    fKfs: Boolean; external RTLib name 'ifKfs';
function    fTfs: Boolean; external RTLib name 'ifTfs';
function    fLok: Boolean; external RTLib name 'ifLok';
function    fCfm: Boolean; external RTLib name 'ifCfm';
{}
procedure   SetPvt(kl,wrmsg: Boolean); external RTLib name 'iSetPvt';
procedure   SetCra(kl,wrmsg: Boolean); external RTLib name 'iSetCra';
procedure   SetRcv(kl,wrmsg: Boolean); external RTLib name 'iSetRcv';
procedure   SetSnt(kl,wrmsg: Boolean); external RTLib name 'iSetSnt';
procedure   SetAtt(kl,wrmsg: Boolean); external RTLib name 'iSetAtt';
procedure   SetTrs(kl,wrmsg: Boolean); external RTLib name 'iSetTrs';
procedure   SetOrp(kl,wrmsg: Boolean); external RTLib name 'iSetOrp';
procedure   SetK_s(kl,wrmsg: Boolean); external RTLib name 'iSetK_s';
procedure   SetLoc(kl,wrmsg: Boolean); external RTLib name 'iSetLoc';
procedure   SetHld(kl,wrmsg: Boolean); external RTLib name 'iSetHld';
procedure   SetFrq(kl,wrmsg: Boolean); external RTLib name 'iSetFrq';
procedure   SetRrq(kl,wrmsg: Boolean); external RTLib name 'iSetRrq';
procedure   SetRrc(kl,wrmsg: Boolean); external RTLib name 'iSetRrc';
procedure   SetArq(kl,wrmsg: Boolean); external RTLib name 'iSetArq';
procedure   SetUrq(kl,wrmsg: Boolean); external RTLib name 'iSetUrq';
procedure   SetA_s(kl,wrmsg: Boolean); external RTLib name 'iSetA_s';
procedure   SetDir(kl,wrmsg: Boolean); external RTLib name 'iSetDir';
procedure   SetZon(kl,wrmsg: Boolean); external RTLib name 'iSetZon';
procedure   SetHub(kl,wrmsg: Boolean); external RTLib name 'iSetHub';
procedure   SetImm(kl,wrmsg: Boolean); external RTLib name 'iSetImm';
procedure   SetXma(kl,wrmsg: Boolean); external RTLib name 'iSetXma';
procedure   SetKfs(kl,wrmsg: Boolean); external RTLib name 'iSetKfs';
procedure   SetTfs(kl,wrmsg: Boolean); external RTLib name 'iSetTfs';
procedure   SetLok(kl,wrmsg: Boolean); external RTLib name 'iSetLok';
procedure   SetCfm(kl,wrmsg: Boolean); external RTLib name 'iSetCfm';
{}
procedure   CompileNodelist(Mask: String; Add: Boolean); external RTLib name 'iCompileNodeList';
procedure   CreateFlag(fn: string); external RTLib name 'iCreateFlag';
function    NodeBusy(Addr: String): Boolean; external RTLib name 'iNodeBusy';
function BusyOutBound(Addr,OutBoundRoot: String;
                      OutType: tOutType): Boolean; external RTLib name 'iBusyOutBound';
procedure   SkipUUEInMsg(wrmsg: Boolean); external RTLib name 'iSkipUUEInMsg';
function    AddFreq(Addr,FileName: String; IgnoreBusy: Boolean): Boolean; external RTLib name 'iAddFreq';
function    Pack(Addr,Password: string;
                 Attribute: tOutFlavor;
                 IgnoreMsgAttr,
                 IgnoreBusy: Boolean): Boolean; external RTLib name 'iPack';
function    PackToFileBox(Addr,Password: string;
                          Attr: tOutFlavor;
                          IgnoreMsgAttr,
                          IgnoreBusy: Boolean): Boolean; external RTLib name 'iPackToFileBox';
function    RouteAddr(Addr: String): String; external RTLib name 'iRouteAddr';
function    Route(Password: String; IgnoreAttr,IgnoreBusy: Boolean): Boolean; external RTLib name 'iRoute';
function    RouteToFileBox(Password: String; IgnoreAttr,IgnoreBusy: Boolean): Boolean; external RTLib name 'iRouteToFileBox';
function PackToOutBound(Addr,OutBoundRoot,Password: String;
                        Attr: tOutFlavor;
                        OutType: tOutType;
                        PktCutSize: Longint;
                        IgnoreAttr,IgnoreBusy,UseRouter: Boolean): Boolean; external RTLib name 'iPackToOutBound';
function    Attach(Addr: string;
                   Attr: tOutFlavor;
                   IgnoreBusy,
                   KillSent,
                   UseRouteFile: Boolean;
                   FileName: string): Boolean; external RTLib name 'iAttach';
function    MoveToFileBox(Addr: string;
                          Attr: tOutFlavor;
                          IgnoreBusy,
                          KillSent: Boolean;
                          FileName: string): Boolean; external RTLib name 'iMoveToFileBox';
function MoveToOutBound(Addr,fn,OutBoundRoot: String;
                        Attr: tOutFlavor;
                        OutType: tOutType;
                        IgnoreBusy,UseRouter: Boolean): Boolean; external RTLib name 'iMoveToOutBound';
function  CopyToDir(DestinationDir: String; ChangeSubj,FileMove: Boolean): String; external RTLib name 'iMoveToDir';
function  SaveMsgToFile(Template,FileName: String; Add: Boolean): Boolean; external RTLib name 'iSaveMsgToFile';
function    ForwardMsg(FromUser,
                       FromAddress,
                       ToUser,
                       ToAddress,
                       Subject,
                       Area,
                       Template,
                       ToBase: String): Boolean; external RTLib name 'iForwardMsg';
function    Bounce(TemplateName,
            YourName,ToBase: String): Boolean; external RTLib name 'iBounce';
procedure SetDomain(const Zones, DomainName: String); external RTLib name 'iSetDomain';
{}
procedure NewMsgCreateMsg(const FromUser,FromAddr,ToUser,ToAddr,Subject: String);
          external RTLib name 'iNewMsgCreateMsg';
procedure NewMsgWriteLine(s,eol: String); external RTLib name 'iNewMsgWriteLine';
procedure NewMsgForwardMsg(const Template: String); external RTLib name 'iNewMsgForwardMsg';
function NewMsgStoreMsg(Area,ToBase: String): Boolean; external RTLib name 'iNewMsgStoreMsg';
{}
function RegMatch(RegExp,Expression: String; CaseSens: Boolean): Boolean; external RTLib name 'iRegMatch';
function RegExtract(RegExp,Expression: String; CaseSens: Boolean): String; external RTLib name 'iRegExtract';
function RegSub(RegExp,Expression,Replace: String; CaseSens: Boolean): String; external RTLib name 'iRegSub';
{}
function IniReadBoolean(FileName, SectionName, ValueName: String): Boolean; external RTLib name 'iIniReadBoolean';
function IniReadInteger(FileName, SectionName, ValueName: String): Longint; external RTLib name 'iIniReadInteger';
function IniReadString(FileName, SectionName, ValueName: String): String; external RTLib name 'iIniReadString';
procedure IniWriteBoolean(FileName, SectionName, ValueName: String; Value: Boolean);external RTLib name 'iIniWriteBoolean';
procedure IniWriteInteger(FileName, SectionName, ValueName: String; Value: Longint);external RTLib name 'iIniWriteInteger';
procedure IniWriteString(FileName, SectionName, ValueName: String; Value: String); external RTLib name 'iIniWriteString';
function IniExistSection(FileName, SectionName: String): Boolean; external RTLib name 'iIniExistSection';
function IniExistValue(FileName, SectionName, ValueName: String): Boolean; external RTLib name 'iIniExistValue';
procedure IniFindSection(First: Boolean; FileName: String; var SectionName: String); external RTLib name 'iIniFindSection';
procedure IniFindValue(First: Boolean; FileName, SectionName: String; var ValueName:String);external RTLib name'iIniFindValue';
function IniSectionError: Boolean; external RTLib name 'iIniSectionError';
function IniValueError: Boolean; external RTLib name 'iIniValueError';
procedure IniDeleteValue(FileName, SectionName, ValueName: String); external RTLib name 'iIniDeleteValue';
procedure IniDeleteSection(FileName, SectionName: String); external RTLib name 'iIniDeleteSection';
{}
function GetDateString(Days: Longint): String; external RTLib name 'iGetDateString';
procedure GetCurrentDateTime(Days: Longint; var dt: DateTime); external RTLib name 'iGetCurrentDateTime';
{}
procedure   Creditz; external RTLib name 'iCreditz';
{}
begin
{$IfDef Ver70}
 SetPrefixSeg(PrefixSeg);
{$EndIf}
end.
